﻿#BuySect {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    justify-content: center;
    /* box-shadow: 0 -2px 8px rgba(0,0,0,0.1);*/
    transition: all 225ms cubic-bezier(0, 0, 0.2, 1) 0ms;
}

.mud-drawer-open-persistent-left #BuySect,
.mud-drawer-open-persistent-left #ProdInfoLastSect,
.mud-drawer-open-responsive-md-left #BuySect,
.mud-drawer-open-responsive-md-left #ProdInfoLastSect {
    transform: translateX(calc(var(--mud-drawer-width-left) / 2));
}
/* 미니 드로어 닫힘 상태 (미니 너비 기준 중앙 보정) */
.mud-drawer-close-mini-md-left #BuySect,
.mud-drawer-close-mini-md-left #ProdInfoLastSect {
    transform: translateX(calc(var(--mud-drawer-width-left) / 2));
}

/* 미니 드로어 열림 상태 (열린 너비 기준 중앙 보정) */
.mud-drawer-open-mini-md-left #BuySect,
.mud-drawer-open-mini-md-left #ProdInfoLastSect {
    transform: translateX(calc(var(--mud-drawer-width-left) / 2));
}

/* Bullet 커스터마이징 */
.custom-bullet {
    margin: 0 3px 15px;
    cursor: pointer;
}

    .custom-bullet.selected-bullet {
        transform: scale(1.15);
        transform-origin: center;
        transition: transform 0.2s ease-in-out;
    }
/*상품상세이미지슬라이드*/
.MyCarousel {
    height: 100%;
    min-height: 600px;
    max-height: 600px;
    transition: all 225ms cubic-bezier(0, 0, 0.2, 1) 0ms;
}

.MyCarousel_Img {
    height: 96%;
    border-radius: var(--brd-20);
    aspect-ratio: 1/1 !important;
}

.MyCarouselDialog {
    width: 100%;
    max-width: 100%;
    min-width: 700px;
    height: 100%;
    min-height: 500px;
    max-height: 750px;
}
/* 포토뷰 다이얼로그*/
.PhotoViewBigImg {
    width: 100%;
    height: 100%;
    max-height: fit-content;
    max-width: fit-content;
    object-fit: cover !important;
}

.PhotoViewSmallImg {
    width: 70px;
    height: 70px;
    max-height: fit-content;
    max-width: fit-content;
    object-fit: cover !important;
    cursor: pointer;
}
/*수량*/
.MyQuantity {
    min-width: 30px;
}
/*상세페이지 탭디자인*/
.My-tab {
    border-color: var(--mud-palette-lines-default);
    border-bottom: 2px solid transparent;
    background-color: var(--mud-palette-surface);
}

    .My-tab .mud-typography-body2 {
        font-weight: bold !important;
        font-size: 0.95rem !important;
    }

#ProdInfoLastSect {
    position: fixed;
    bottom: 0px;
    left: 0px;
    right: 0;
    margin: auto;
    display: flex;
    justify-content: center;
    opacity: 0;
    visibility: hidden;
    transition: all 225ms cubic-bezier(0, 0, 0.2, 1) 0ms;
}

    #ProdInfoLastSect.visible {
        opacity: 1;
        visibility: visible;
    }

    #ProdInfoLastSect.invisible {
        opacity: 0;
        visibility: hidden;
    }


.My-button-group {
    /*box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);*/
}

    .My-button-group > .mud-button {
        min-width: 50px !important;
    }

.MySubTitBox {
    height: 70vh;
    min-height: fit-content;
    font-size: 24px;
    background-color: #eff3ff;
    overflow: hidden;
    position: relative;
}

    .MySubTitBox .bg-trans {
        color: var(--mud-palette-white);
    }

.MySubTitBox-inner {
    width: 100%;
    max-width: 1000px;
    z-index: 2 !important;
}
/*보드페이지, 콘텐츠 타이틀박스*/
.MyBoardTitBox, .MyBestContentsTitBox {
    height: fit-content !important;
    padding: 3.5rem 1.5rem 7rem !important;
    min-height: unset !important;
    font-size: unset !important;
    text-align:center!important
}

/*서브 상품 박스*/
.MySubTitBox .ProdBox {
    background-color: unset;
    color: var(--mud-palette-white) !important;
    padding: 2.5rem 0 5rem;
    /*    filter: drop-shadow(0px 50px 100px rgba(50, 50, 93, 0.25)) drop-shadow(0px 30px 60px rgba(0, 0, 0, 0.3));
    filter: drop-shadow(2px 4px 4px hsl(0deg 0% 0% / 0.45));*/
    transition: right 550ms cubic-bezier(0.19, 1, 0.22, 1);
}

    .MySubTitBox .ProdBox .ProdBox_Img {
        position: relative;
        padding: 0;
        width: 100%;
        box-sizing: content-box;
        overflow: unset;
        background-color: unset !important;
        border-radius: var(--brd-10);
        border: 1px solid rgba(0,0,0,0.1)
        /*box-shadow: 0px 0px 10px var(--darker);*/
    }

        .MySubTitBox .ProdBox .ProdBox_Img > img {
            width: 100%;
            height: 100%;
            transition: .3s cubic-bezier(0.25, 0.8, 0.5, 1);
            overflow: hidden;
            aspect-ratio: 1 / 1;
            object-fit: cover;
            /*            border: 1px solid rgba(0,0,0,0.31)
             outline: 0.15rem solid var(--mud-palette-primary-rgb);*/
            /* clip-path: url(#SquircleClip-2);*/
        }

        .MySubTitBox .ProdBox .ProdBox_Img > .pics {
            border: none !important;
            /*            clip-path: url(#SquircleClip-2);*/
            overflow: hidden
            /*width: 100%;*/
        }

.MySubTitBox .ProdBoxGold {
    transform: scale(1);
    transform-origin: center;
}

.MySubTitBox .ProdBox:not(.ProdBoxGold) {
    transform: scale(0.95);
    transform-origin: center;
}



    /*2,3등 이미지 사이즈 작게*/
    .MySubTitBox .ProdBox:not(.ProdBoxGold) .ProdBox_Img {
        transform: scale(0.95);
        transform-origin: bottom;
    }

/*상품아이콘*/
.MySubTitBox .ProdBox .ProdBox_Img .Corner_Icon {
    position: absolute;
    top: -17.5%;
    right: 50%;
    transform: translateX(50%);
    bottom: unset;
    width: 20%;
    height: 20%;
    border-radius: 100% !important;
    background-color: var(--mud-palette-dark-darken);
    outline: 0.3rem solid var(--dark-l);
}

    .MySubTitBox .ProdBox .ProdBox_Img .Corner_Icon img {
        width: 100%;
        object-fit: cover !important;
    }

    .MySubTitBox .ProdBox .ProdBox_Img .Corner_Icon span {
        width: 100%;
        fill: #fff !important;
    }

.MySubTitBox .ProdBox .ProdBox_Tit {
    text-align: center;
    letter-spacing: -0.025rem !important;
    padding-top: 0.5rem;
    padding-right: unset;
    width: 85% !important;
    height: fit-content;
    margin: auto;
}

/*랭킹테이블 카드*/
.LankListMver .LankListMverProdBox {
    background-color: inherit;
    /*    color: var(--mud-palette-white) !important;*/
    padding: 0rem;
}

    .LankListMver .LankListMverProdBox .ProdBox {
        width: unset !important
    }

    .LankListMver .LankListMverProdBox:hover {
        background-color: #eff3ff !important;
        transition: all 100ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
    }

    .LankListMver .LankListMverProdBox .ProdBox_Img {
        width: 100px;
        height: 100px;
        padding: 0;
        border-radius: var(--brd-10);
        /*        box-shadow: var(--mud-elevation-10);*/
        transition: all 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
    }


        .LankListMver .LankListMverProdBox .ProdBox_Img a {
            width: inherit;
            height: inherit;
        }

            .LankListMver .LankListMverProdBox .ProdBox_Img a img {
                width: 100%;
                height: 100%;
                /*                outline: 0.1rem solid #ffffff5e;*/
                border-radius: var(--brd-10);
                border: 1px solid rgba(0,0,0,0.1)
            }

    .LankListMver .LankListMverProdBox:hover .ProdBox_Img {
        transform: scale(1.1);
        /*        outline: 0.25rem solid #475277;*/
        transition: all 150ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
    }

    .LankListMver .LankListMverProdBox .ProdBox_Num {
        min-width: 30px;
        word-break: keep-all;
    }

    .LankListMver .LankListMverProdBox .ProdBox_Tit {
        width: calc(40% - 150px);
    }

    .LankListMver .LankListMverProdBox:hover .ProdBox_Tit {
        transform: scale(1.1);
        transform-origin: left center;
        transition: all 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
    }

    .LankListMver .LankListMverProdBox .ProdBox_Info {
        width: 55%;
    }

    .LankListMver .LankListMverProdBox .ProdBox_Tit h6 {
        font-family: var(--mud-typography-h5-family) !important;
        font-weight: var(--mud-typography-h5-weight) !important;
    }
/*    .LankListMver .LankListMverProdBox:hover .ProdBox_Tit h6 {
        color: var(--mud-palette-tertiary-lighten) !important;
       
    }
    .LankListMver .LankListMverProdBox:hover .ProdBox_Tit a > p:first-child {
        color: var(--mud-palette-white) !important;
    }*/
/*선택아이템*/
.MySeletedItem {
    background-image: linear-gradient(var(--grd-direction-rb), #36405f, var(--dark-l), var(--mud-palette-dark-darken)) !important;
    border: var(--border-op01) !important;
    box-shadow: var(--mud-elevation-8);
    border-radius: var(--brd-10);
}

.LankListMver .LankListMverProdBox.MySeletedItem .ProdBox_Tit p:first-child {
    color: var(--orange) !important;
    text-decoration: underline;
    text-underline-offset: 4px;
    text-decoration-thickness: 2px;
    text-decoration-color: var(--orange);
}

.LankListMverProdBox .ProdBox .ProdBox_Img .Corner_Icon {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 32px;
    aspect-ratio: var(--ratio1);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100% !important;
    background-color: var(--mud-palette-dark-darken);
    outline: 2px solid #1ec8a5;
}

.LankListMverProdBox:hover .ProdBox .ProdBox_Img, .LankListMverProdBox:hover .ProdBox .ProdBox_Img a {
    transform: scale(1.1);
    outline: none !important;
    transition: all 150ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

.ProdBox_Tit .ProdBox_Tit_Like, .ProdBox_Tit .ProdBox_Tit_ViewCount {
    min-width: 70px;
}

.ProdBox_Tit_Rate_icon {
    margin-top: 5px !important
}

.ProdBox_Tit .ProdBox_Tit_Review_Count {
    min-width: 50px;
}

.sm-mt {
    margin-top: 0px !important;
}
/*이미지*/
.mud-table-cell.MyTableImg img {
    display: block;
    margin: 0 auto;
    width: 60px;
    height: 60px;
    border-radius: var(--brd-15);
}

/*디테일페이지타이틀박스*/
.MyDetailTitBox {
    height: 600px;
    min-height: fit-content;
    font-size: 24px;
    background-image: linear-gradient(var(--grd-direction-b), #21263d, #181c2d 60%);
    overflow: hidden;
    position: relative;
}

    .MyDetailTitBox .MyDetailTitBoxBg {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        width: 100%;
        filter: opacity(35%) blur(10px);
    }

.MyDetailTitBox-inner {
    position: relative;
    height: 100%;
    width: 100%;
}

    .MyDetailTitBox-inner .MyDetailTitBox-innerBg {
        position: absolute;
        top: -2.5%;
        bottom: 0;
        height: 105%;
        width: stretch;
    }

    .MyDetailTitBox-inner .MyDetailTit {
        width: 60%;
        color: var(--mud-palette-white);
        text-shadow: 1px 2px 10px #21263ddd /*, -1px -1px 2px #21263d49*/;
        -webkit-line-clamp: 3 !important;
    }
/*디테일박스*/
.MyDetailBox {
    height: auto;
}

    .MyDetailBox .MyDetailBox-inner {
    }

        .MyDetailBox .MyDetailBox-inner img {
            margin: 0 auto;
            width: 100%;
            display: block;
        }

.MyArticle {
    position: relative;
}

    .MyArticle .shade {
        position: absolute;
        left: 0;
        bottom: 0px;
        display: block;
        width: 100%;
        height: 150px;
        background: linear-gradient(0deg,rgba(255,255,255,1) 10%,rgba(255,255,255,0) 90%);
    }

.ql-video:after {
    display: block;
    content: "";
    clear: both;
}

.EditorsComments {
}

    .EditorsComments .mud-card {
        width: 100%;
    }

        .EditorsComments .mud-card .mud-card-media {
            height: 150px !important
        }

.UsersComments .Common_Title_box {
    color: var(--mud-palette-primary) !important;
}

.MyReply_Btn {
    background-image: linear-gradient(var(--grd-direction-rb), #36405f 30%, var(--mud-palette-dark-darken)) !important;
    border: var(--border-op01) !important;
    color: var(--mud-palette-white) !important;
}

    .MyReply_Btn:hover {
        background-image: linear-gradient(var(--grd-direction-rb), #36405f 50%, var(--mud-palette-dark-darken)) !important;
        filter: brightness(1.1);
    }
/*게시판동영상*/
.MyVideoWrap {
    width: 100%;
}

.MyVideoWrapM {
    width: 30%;
    margin: 0 auto;
}

iframe.ql-video {
    display: block;
    width: 100%;
    height: auto;
    margin: 0 auto;
    aspect-ratio: 16 / 9;
}

/*게시판동영상 쇼츠*/
iframe.ql-videoM {
    aspect-ratio: 9 / 16;
}

.MyVideoCard {
    width: 100%;
    height: 100%;
    overflow: hidden;
    box-sizing: border-box !important
}

.MyVideoCardMedia {
    aspect-ratio: 16 / 9;
    width: 100%;
    margin-top: -1px;
    border-radius: var(--mud-default-borderradius);
}

    .MyVideoCardMedia img {
        height: inherit;
    }

.MyVideoCard .txt-over-line {
    min-height: 32px;
    word-break: normal;
}

.MyBadgeHeart {
    font-size: 1.25rem;
}

.MyBadge {
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--mud-palette-text-primary);
    background-color: var(--mud-palette-gray-light);
    border-radius: 10px;
    font-size: 0.8rem;
    height: 1.2rem;
    min-width: 17px;
    padding: 1px 6px 0px 6px;
    line-height: 1;
}

.MySearchBtn {
    word-break: keep-all;
    height: 39.47px;
    min-width: 66px !important;
}

/*리스트*/

.MyHide {
    display: flex !important
}

.MyCloseIcon .mud-icon-root.mud-svg-icon.mud-icon-size-small {
    font-size: 0.85em !important;
}
/*모바일★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★*/
@media (min-width:1280px) {
}

@media (min-width: 1280px) and (max-width: 1680px) {
    /*상품상세이미지슬라이드*/
    .MyCarousel {
        min-height: 500px;
        max-height: 500px;
    }

    .MyCarouselDialog {
        max-height: 700px;
    }

    .MyCarousel_Img {
        height: 96%;
    }

    .MyHide {
        display: none !important
    }
}

@media (min-width: 1280px) and (max-width: 1450px) {
    /*상품상세이미지슬라이드*/
    .MyCarousel {
        min-height: 420px;
        max-height: 420px;
    }
}

@media (min-width: 960px) and (max-width: 1280px) {
    /*상품상세이미지슬라이드*/
    .LankListMver .LankListMverProdBox .ProdBox {
        width: fit-content !important
    }
    /*랭킹테이블모바일용 카드*/
    .LankListMver .LankListMverProdBox .ProdBox_Img,
    .LankListMverProdBox .ProdBox .ProdBox_Img {
        width: 95px !important;
        height: 95px !important
    }

    .LankListMver .LankListMverProdBox .ProdBox_Tit {
        width: calc(35% - 150px) !important;
    }

    .LankListMver .LankListMverProdBox .ProdBox_Info {
        width: 50%;
    }

    .ProdBox_Tit .ProdBox_Tit_Like, .ProdBox_Tit .ProdBox_Tit_ViewCount {
        min-width: 60px;
    }

    .MySubTitBox .ProdBox .ProdBox_Img {
        width: 100% !important;
    }
}

@media (min-width: 600px) and (max-width: 960px) {
    /*상품상세이미지슬라이드*/
    .MyCarousel {
        margin-top: 1.5rem;
        min-height: 550px;
        max-height: 550px;
    }

    .MyHide {
    }

    .LankListMver .LankListMverProdBox .ProdBox_Tit {
        width: calc(60% - 150px) !important;
    }

    .LankListMver .LankListMverProdBox .ProdBox_Info {
        width: 35%;
    }

    .MySubTitBox .ProdBox .ProdBox_Img {
        width: 100% !important;
    }

    .ProdBox_Tit .ProdBox_Tit_Like, .ProdBox_Tit .ProdBox_Tit_ViewCount {
        min-width: 50px;
    }

    .ProdBox_Tit .ProdBox_Tit_Review_Count {
        min-width: fit-content;
    }
    /* 포토뷰 다이얼로그*/
    .MyCarouselDialog {
        min-width: 600px;
    }

    #BuySect, #ProdInfoLastSect {
        transform: unset;
    }
}

@media (max-width: 600px) {
    /*상품상세이미지슬라이드*/
    .MyCarousel {
        margin-top: 1rem;
        min-height: 480px;
        max-height: 480px;
    }

        .MyCarousel .mud-carousel-swipe ~ div.d-flex.flex-grow-1.align-self-auto {
            max-width: 95%;
            margin: 0px auto;
        }

    .MySubTitBox .ProdBox .ProdBox_Tit {
        width: 100%;
    }

        .MySubTitBox .ProdBox .ProdBox_Tit .mud-typography {
            font-size: 80% !important;
            line-height: 1.2 !important;
            /*display:none*/
        }

    .MyBadgePack .mud-typography-subtitle2 {
        font-size: 0.8rem !important;
    }

    .MySubTitBox {
        height: fit-content;
        font-size: 1rem;
        padding-top: 2rem !important
    }
    /*보드페이지, 콘텐츠 타이틀박스*/
    .MyBoardTitBox, .MyBestContentsTitBox {
        padding: 2rem 2rem 3rem !important;
    }
        /*.MyBoardTitBox h6.mud-typography,*/
        .MyBoardTitBox h3.mud-typography {
            font-size: 97% !important;
        }

        .MyBoardTitBox h6.mud-typography {
            font-size: 95% !important;
        }

        .MyBoardTitBox p.mud-typography {
            font-size: 85% !important;
        }
    /*이미지*/
    .mud-table-cell.MyTableImg {
        text-align: right;
    }

        .mud-table-cell.MyTableImg img {
            display: block;
            margin: unset;
            width: 60px;
            height: 60px;
        }

    .MySubTitBox .ProdBox .ProdBox_Img {
        width: 100% !important;
    }
    /*디테일페이지타이틀박스*/
    .MyDetailTitBox {
        height: 60vh;
        min-height: unset;
        font-size: 14px;
        padding: 0 10px !important;
    }

    .MyDetailTitBox-inner .MyDetailTit {
        padding: 0 !important;
        width: 100%;
        color: var(--mud-palette-white);
        text-shadow: 1px 2px 10px #21263ddd;
        -webkit-line-clamp: 3 !important;
    }

    .MyArticle .shade {
        height: 250px;
    }
    /*랭킹테이블모바일용 카드*/
    .LankListMver .LankListMverProdBox .ProdBox {
        width: unset !important
    }

    .LankListMver .LankListMverProdBox .ProdBox_Img,
    .LankListMverProdBox .ProdBox .ProdBox_Img {
        width: 90px !important;
        height: 90px !important
    }

    .LankListMver .LankListMverProdBox .ProdBox_Num {
        /*min-width: fit-content;*/
        padding-right: 5px;
    }

    .LankListMver .LankListMverProdBox .ProdBox_Tit {
        width: calc(60% - 150px) !important;
    }

    .LankListMver .LankListMverProdBox .ProdBox_Info {
        width: 40%;
    }



    .MyCarouselDialog {
        min-width: 100% !important;
        min-height: 300px;
        max-height: 600px;
    }

    #BuySect, #ProdInfoLastSect {
        transform: unset;
    }
}

@media (max-width: 550px) {
    /*상품상세이미지슬라이드*/
    .MyCarousel {
        margin-top: 0.8rem;
        min-height: 450px;
        max-height: 450px;
    }
    /*상세페이지 탭디자인*/
    .My-tab {
        width: fit-content !important;
        min-width: fit-content !important;
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }

        .My-tab .mud-typography-body2 {
            font-size: 0.8rem !important;
            font-weight: bold !important;
        }
    /*디테일페이지타이틀박스*/
    .MyDetailTitBox {
        height: 35vh;
        font-size: 13px;
    }
    /*보드페이지, 콘텐츠 타이틀박스*/
    .MyBoardTitBox, .MyBestContentsTitBox {
        height: fit-content !important;
    }

    .MyDetailBox .MyDetailBox-inner img {
        max-width: 100%;
    }
    /*랭킹테이블모바일용 카드*/
    .LankListMver .LankListMverProdBox .ProdBox {
        width: fit-content !important;
    }

    .LankListMver .LankListMverProdBox .ProdBox_Img,
    .LankListMverProdBox .ProdBox .ProdBox_Img {
        width: 80px !important;
        height: 80px !important;
    }

    .LankListMver .LankListMverProdBox .ProdBox_Tit {
        width: calc(60% - 100px) !important;
    }

    .LankListMver .LankListMverProdBox .ProdBox_Info {
        justify-content: flex-end !important;
        width: fit-content;
    }

    .ProdBox_Tit .ProdBox_Tit_Like, .ProdBox_Tit .ProdBox_Tit_ViewCount {
        min-width: fit-content;
    }

    .ProdBox_Tit_Like_icon {
        margin-top: 0px !important
    }

    .MyVideoWrapM {
        width: 100%;
    }
    /*게시판동영상*/
    iframe.ql-videoM {
        width: 100%;
    }
    /*상품아이콘*/
    .MySubTitBox .ProdBox .ProdBox_Img .Corner_Icon {
        top: -22.5%;
        width: 35%;
        height: 35%;
        outline: 0.15rem solid var(--dark-l);
    }

    .MyCarousel {
        margin-top: 15px;
        min-height: 390px;
        max-height: 550px;
    }

    .MyCarousel_Img {
        height: 100%;
        border-radius: 10px;
        min-height: 390px;
        max-height: 550px;
    }

    .MyCarouselDialog {
        width: 100%;
        min-width: 100%;
        height: 100%;
        min-height: 400px;
        max-height: 700px;
    }

    .PhotoViewBigImg {
        width: 100% !important;
        height: 100% !important;
        max-height: fit-content !important;
        max-width: fit-content !important;
        object-fit: scale-down !important;
    }

    .custom-bullet {
        width: 5px;
        height: 5px;
        margin: 0 7px 25px;
    }
}

@media (max-width: 360px) {

    .MyCarousel {
        margin-top: 10px;
        min-height: 360px;
        max-height: 360px;
    }

    .MyCarousel_Img {
        min-height: 100%;
        max-height: 100%;
    }
}
/*효과●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●●*/
.MySubTitBox::before, .MySubTitBox::after {
    content: "";
    width: 65vmax;
    height: 65vmax;
    position: absolute;
    background-image: linear-gradient(var(--grd-direction-rt), #ffffff0c, #ffffff00 );
    left: -20vmin;
    top: -20vmin;
    animation: morph 15s linear infinite alternate, spin 20s linear infinite;
    will-change: border-radius, transform;
    transform-origin: 55% 65%;
    pointer-events: none;
    z-index: 1;
    /*https: //codepen.io/weenabeana/pen/yRMwGY참고*/
}

.MySubTitBox::after {
    width: 40vmin;
    height: 40vmin;
    left: auto;
    right: -10vmin;
    top: auto;
    bottom: 0;
    animation: morph 10s linear infinite alternate, spin 26s linear infinite reverse;
    transform-origin: 30% 20%;
}

@keyframes morph {
    0% {
        border-radius: 40% 60% 60% 40% / 70% 30% 70% 30%;
    }

    100% {
        border-radius: 40% 60%;
    }
}

@keyframes spin {
    to {
        transform: rotate(1turn);
    }
}
